package com.ocity.api.core.application.heritage.dto.out.schemaorg;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.ocity.api.core.application.heritage.dto.HeritageItemDTO;

import java.util.List;

import static com.fasterxml.jackson.annotation.JsonInclude.Include;

@JsonInclude(Include.NON_NULL)
public class SchemaOrgHeritageItemDTO implements HeritageItemDTO {

    @JsonProperty(value = "@context")
    public String context = "https://schema.org";

    @JsonProperty(value = "identifier")
    public String id;

    public String name;

    public AddressDTO address;

    public GeoDTO geo;

    public List<DescriptionDTO> description;

    @JsonProperty(value = "image")
    public String imageUrl;

    @JsonProperty(value = "@type")
    public List<String> type;

    public List<String> touristType;

    public String url;

    public String extras;
}
