package com.ocity.api.core.application.heritage.dto.out.une;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.ocity.api.core.application.heritage.dto.HeritageItemDTO;

import java.util.List;

import static com.fasterxml.jackson.annotation.JsonInclude.Include;

@JsonInclude(Include.NON_NULL)
public class UNEHeritageItemDTO implements HeritageItemDTO {

    @JsonProperty(value = "identifier")
    public String id;

    public String name;

    public String addressCountry;

    public String addressLocality;

    public String latitude;

    public String longitude;

    public List<DescriptionDTO> description;

    @JsonProperty(value = "image")
    public String imageUrl;

    public List<String> type;

    public List<String> touristType;

    @JsonProperty(value = "url")
    public UrlDTO links;

    public List<AboutDTO> about;

    public String extras;
}
