package com.ocity.api.core.application.locations.dto.out;

import com.ocity.api.core.domain.locations.City;
import org.springframework.stereotype.Component;

@Component
public class CityDTOMapper {

    public CityDTO map(City city) {
        if (city == null) return null;

        CityDTO dto = new CityDTO();

        dto.id = city.id().value();
        dto.name = city.name().value();

        return dto;
    }
}
