package com.ocity.api.core.application.locations.dto.out;

import com.ocity.api.core.domain.locations.Country;
import org.springframework.stereotype.Component;

@Component
public class CountryDTOMapper {

    public CountryDTO map(Country country) {
        if (country == null) return null;

        CountryDTO dto = new CountryDTO();

        dto.id = country.id().value();
        dto.name = country.name().value();
        dto.subregionId = country.subregionId().value().orElse(null);

        return dto;
    }
}
