package com.ocity.api.core.application.locations.dto.out;

import com.ocity.api.core.domain.locations.State;
import org.springframework.stereotype.Component;

@Component
public class StateDTOMapper {
    public StateDTO map(State state) {
        if (state == null) return null;

        StateDTO dto = new StateDTO();

        dto.id = state.id().value();
        dto.name = state.name().value();

        return dto;
    }
}
