package com.ocity.api.core.domain.heritage;

import java.util.Optional;

public class Description {

    private final DescriptionLanguage language;
    private final DescriptionText text;

    public Description(DescriptionLanguage language, DescriptionText text) {
//        Validate.notNull(language, "DescriptionLanguage cannot be null");
//        Validate.notNull(text, "DescriptionText cannot be null");
        this.language = language;
        this.text = text;
    }

    public Optional<DescriptionLanguage> language() {
        return Optional.ofNullable(language);
    }

    public Optional<DescriptionText> text() {
        return Optional.ofNullable(text);
    }

}
