package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

public record Id(Integer value) {

    public Id {
        Validate.notNull(value, "Id must not be null");
        Validate.isTrue(value > 0, "Id must be greater than 0");
    }
}
