package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

public record Longitude(Double value) {

    public Longitude {
        Validate.notNull(value, "Longitude must not be null");
        Validate.isTrue(value >= -180 && value <= 180, "Longitude must be between -180 and 180");
    }
}
