package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record CityId(Integer value) {

    public CityId {
        Validate.notNull(value, "CityId value cannot be null");
        Validate.isTrue(value > 0);
    }
}
