package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record Country(CountryId id, Name name, SubregionId subregionId) {

    public Country {
        Validate.notNull(id, "Id cannot be null");
        Validate.notNull(name, "Name cannot be null");
        Validate.notNull(subregionId, "SubregionId cannot be null");
    }
}
