package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record CountryId(Integer value) {

    public CountryId {
        Validate.notNull(value, "CountryId value cannot be null");
        Validate.isTrue(value > 0);
    }
}
