package com.ocity.api.core.domain.locations;

import java.util.List;

public interface LocationsRepository {
    List<Region> findAllRegions();

    List<Subregion> findAllSubRegions();

    List<Subregion> findSubregionsByRegionId(RegionId id);

    List<Country> findAllCountries();

    List<Country> findCountriesBySubregionId(SubregionId id);

    List<Country> findCountriesByRegionId(RegionId subregionId);

    List<State> findStatesByCountryId(CountryId countryId);

    List<City> findCitiesByStateId(StateId stateId);
}
