package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record Region(RegionId id, Name name) {

    public Region {
        Validate.notNull(id, "Id cannot be null");
        Validate.notNull(name, "Name cannot be null");
    }
}
