package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record RegionId(Integer value) {

    public RegionId {
        Validate.notNull(value, "RegionId value cannot be null");
        Validate.isTrue(value > 0);
    }
}
