package com.ocity.api;

import com.ocity.api.login.infrastructure.client.LoginResponse;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController //TODO delete when integration is done
public class MockController {

    @PostMapping("/mock")
    public ResponseEntity<LoginResponse> login() {
        LoginResponse loginResponse = new LoginResponse();
        loginResponse.user = "user";

        String role = "USER";

        switch(role) {
            case "USER":
                loginResponse.token = "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwidXNlcklkIjoidXNlcklkIiwiY291bnRyeSI6ImNvdW50cnkiLCJyb2xlcyI6WyJVU0VSIl0sImlhdCI6MTUxNjIzOTAyMn0.SQ53ID2CRrE9_AHebEBwEhATQ3_knmPVxV5uxqsLG-cPhkjFI-TWk_Edd5dULnToJ-zbY6euZDpF5OpFWJF60g";
                break;
            case "SUPERADMIN":
                loginResponse.token = "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwidXNlcklkIjoidXNlcklkIiwiY291bnRyeSI6ImNvdW50cnkiLCJyb2xlcyI6WyJTVVBFUkFETUlOIl0sImlhdCI6MTUxNjIzOTAyMn0.skK0CGRTOG1LccN9GkK9ypIsXGay32NTr4rbXVLnc90Nc_vPMjxRVhtmKJp_UcEB0VtIl9QpMyl7xHzUB1a8zw";
                break;
            case "USER&SUPERADMIN":
                loginResponse.token = "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwidXNlcklkIjoidXNlcklkIiwiY291bnRyeSI6ImNvdW50cnkiLCJyb2xlcyI6WyJVU0VSIiwiU1VQRVJBRE1JTiJdLCJpYXQiOjE1MTYyMzkwMjJ9.SPCmSysu8CbmY9pKOt3aCpB4ZZd-upiEYvqN2MeVhfiDye9odsQv-Ce-QhQ2_vkubLIxLUOIZtqb3VR9OEPyag";
                break;
            default:

        }

        loginResponse.refreshToken = "jwtoken";

        return new ResponseEntity<>(loginResponse, HttpStatus.OK);
    }
}
