package com.ocity.api.core.application.locations.dto.out;

import com.ocity.api.core.domain.locations.Region;
import org.springframework.stereotype.Component;

@Component
public class RegionDTOMapper {

    public RegionDTO map(Region region) {
        if (region == null) return null;

        RegionDTO dto = new RegionDTO();

        dto.id = region.id().value();
        dto.name = region.name().value();

        return dto;
    }
}
