package com.ocity.api.core.application.locations.dto.out;

import com.ocity.api.core.domain.locations.Subregion;
import org.springframework.stereotype.Component;

@Component
public class SubregionDTOMapper {

    public SubregionDTO map(Subregion subregion) {
        if (subregion == null) return null;

        SubregionDTO dto = new SubregionDTO();

        dto.id = subregion.id().value().orElse(null);
        dto.name = subregion.name().value();
        dto.regionId = subregion.regionId().value();

        return dto;
    }
}
