package com.ocity.api.core.domain.heritage;

import java.util.Optional;

public class About {

    private final AboutLanguage language;
    private final AboutText text;

    public About(AboutLanguage language, AboutText text) {
//        Validate.notNull(language, "AboutLanguage cannot be null");
//        Validate.notNull(text, "AboutText cannot be null");
        this.language = language;
        this.text = text;
    }


    public Optional<AboutLanguage> language() {
        return Optional.ofNullable(language);
    }

    public Optional<AboutText> text() {
        return Optional.ofNullable(text);
    }
}
