package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

import java.util.Collections;
import java.util.List;

public record Extras(List<String> value) {

    public Extras {
        Validate.notNull(value, "Extras value cannot be null");
    }

    public static Extras emptyExtras() {
        return new Extras(Collections.emptyList());
    }
}
