package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

public record Latitude(Double value) {

    public Latitude {
        Validate.notNull(value, "Latitude must not be null");
        Validate.isTrue(value >= -90 && value <= 90, "Latitude must be between -90 and 90");
    }
}
