package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

public record Link(Url url, DescriptionText descriptionText) {

    public Link {
        Validate.notNull(url, "Url cannot be null");
        Validate.notNull(descriptionText, "Text cannot be null");
    }
}
