package com.ocity.api.core.domain.heritage;

import org.apache.commons.lang3.Validate;

public record SubregionId(Integer value) {

    public SubregionId {
        Validate.notNull(value, "SubregionId value cannot be null");
        Validate.isTrue(value > 0);
    }
}
