package com.ocity.api.core.domain.heritage.schemaorg;

import com.ocity.api.core.domain.heritage.FormatType;

public enum SchemaOrgType implements FormatType {

    LAND_FORM("Landform"),
    TOURIST_ATTRACTION("TouristAttraction"),
    EVENT("Event"),
    LANDMARKS_OR_HISTORICAL_BUILDINGS("LandmarksOrHistoricalBuildings"),
    PLACE_OF_WORSHIP("PlaceOfWorship"),
    CEMETERY("Cemetery"),
    CITY("City"),
    BUSINESS_EVENT("BusinessEvent"),
    CIVIC_STRUCTURE("CividStructure"),
    FESTIVAL("Festival"),
    MUSIC_EVENT("MusicEvent"),
    MOVIE_THEATER("MovieTheater"),
    //TODO missing SportsEvent?
    PLACE("Place"),
    BODY_OF_WATER("BodyOfWater"),
    MOUNTAIN("Mountain"),
    VOLCANO("Volcano"),
    MUSEUM("Museum");

    private final String name;

    SchemaOrgType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
