package com.ocity.api.core.domain.heritage.une;

import com.ocity.api.core.domain.heritage.FormatType;

public enum UNEType implements FormatType {

    CAVE("Cave"),
    TOURIST_ATTRACTION("TouristAttraction"),
    RELIGION_EVENT("ReligionEvent"),
    LANDMARKS_OR_HISTORICAL_BUILDINGS("LandmarksOrHistoricalBuildings"),
    CIVIL_BUILDING("CivilBuilding"),
    PLACE_OF_WORSHIP("PlaceOfWorship"),
    MILITARY_BUILDINGS("MilitaryBuildings"),
    CEMETERY("Cemetery"),
    CITY("City"),
    BUSINESS_EVENT("BusinessEvent"),
    CULTURE_CENTER("CultureCenter"),
    FESTIVAL("Festival"),
    TRADITIONAL_FESTIVAL("TraditionalFestival"),
    MUSIC_EVENT("MusicEvent"),
    MOVIE_THEATER("MovieTheater"),
    EVENT("Event"),
    SPORTS_EVENT("SportsEvent"),
    NATURE_PARK("NaturePark"),
    BODY_OF_WATER("BodyOfWater"),
    LAND_FORM("Landform"),
    MOUNTAIN("Mountain"),
    VOLCANO("Volcano"),
    DESERT("Desert"),
    TREE("Tree"),
    MUSEUM("Museum");

    private final String name;

    UNEType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
