package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record StateId(Integer value) {

    public StateId {
        Validate.notNull(value, "StateId value cannot be null");
        Validate.isTrue(value > 0);
    }
}
