package com.ocity.api.core.domain.locations;

import org.apache.commons.lang3.Validate;

public record Subregion(SubregionId id, Name name, RegionId regionId) {

    public Subregion {
        Validate.notNull(id, "Id cannot be null");
        Validate.notNull(name, "Name cannot be null");
        Validate.notNull(regionId, "RegionId cannot be null");
    }
}
