package com.ocity.api.core.infrastructure.heritage.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name = "heritage_list_links")
@NamedQuery(
        name = HeritageListLinksEntity.FIND_BY_HERITAGE_LIST_ID,
        query = " SELECT hll " +
                " FROM HeritageListLinksEntity hll " +
                " WHERE hll.heritageListId IN :heritageListId "
)
public class HeritageListLinksEntity {

    public static final String FIND_BY_HERITAGE_LIST_ID = "HeritageListLinksEntity.FIND_BY_HERITAGE_LIST_ID";

    @Id
    private Integer id;

    @Column(name = "heritage_list_id")
    private Integer heritageListId;

    private String name;

    private String url;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getHeritageListId() {
        return heritageListId;
    }

    public void setHeritageListId(Integer heritageListId) {
        this.heritageListId = heritageListId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
